<template>
  <div>
    <!-- Contacter commerçant -->
    <div v-if="action == 'commercant'">
      <div class="log-panel">
        <form>
          <h4 class="mb-3">Contacter le commerçant</h4>
          <div class="form-group">
            <b-form-select v-model="selectedObject" :options="options"></b-form-select>
          </div>
          <div class="form-group">
            <b-form-textarea id="textarea" placeholder="Votre message..." rows="3" max-rows="6" v-model="msgClient"></b-form-textarea>
          </div>
          <b-button block variant="dark" size="lg" @click="sendMsg()">Envoyer</b-button>
        </form>
      </div>
    </div>

    <!-- Codes promos -->
    <div v-if="action == 'offres'">
      <div class="log-panel">
        <form>
          <h4 class="mb-3">Recevoir nos codes promo</h4>
          <b-alert variant="success" class="text-dark" show>Actuellement,vous êtes suceptible de recevoir des codes Promo</b-alert>
          <b-form-group>
            <b-form-radio v-model="selectedCode" name="code-promo" :value="true">Recevoir des codes promo</b-form-radio>
            <b-form-radio v-model="selectedCode" name="code-promo" :value="false">Ne pas recevoir de codes promo</b-form-radio>
          </b-form-group>
          <b-button block variant="dark" size="lg" @click="updateCodePromo()">Valider</b-button>
        </form>
      </div>
    </div>

    <!-- Newsletter -->
    <div v-if="action == 'newsletter'">
      <div class="log-panel">
        <form>
          <h4 class="mb-3">Recevoir notre newsletter</h4>
          <b-alert variant="success" class="text-dark" show>Actuellement,vous receverez notre newsletter</b-alert>
          <b-form-group>
            <b-form-radio v-model="selectedNL" name="newsletter" value="true">Recevoir la newsletter</b-form-radio>
            <b-form-radio v-model="selectedNL" name="newsletter" value="false">Ne pas recevoir la newsletter</b-form-radio>
          </b-form-group>
          <b-button block variant="dark" size="lg" @click="updateNewsLetter()">Valider</b-button>
        </form>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: ["action", "clientStore"],
  mounted: function() {
    //TODO: hydrate value client newsletter, codepromo
  },
  data() {
    return {
      // infos select "Contacter le commerçant"
      msgClient: "",
      selectedObject: "Commande",
      selectedCode: false,
      selectedNL: false,
      options: [{ value: "Commande", text: "Mon message concerne une commande" }, { value: "Autre raison", text: "Autre" }]
    };
  },
  methods: {
    sendMsg() {
      let payload = {
        object: this.selectedObject,
        text: this.msgClient
      };
      // TODO: verif champs
      // TODO: send width axios
    },
    updateCodePromo() {
      console.log("je dois update code promo client");
      console.log("clientStore", this.clientStore);
      // enregistrement en bdd
      // TODO: update store client
    },
    updateNewsLetter() {
      console.log("je dois update newsletter client");
      console.log("clientStore", this.clientStore);
      // enregistrement en bdd
      // TODO: update store client
    }
  }
};
</script>
